Bug 131545 - waitid support missing
Summary: waitid support missing
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-02 04:17 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-11 08:05:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to enable waitid support (1.58 KB, patch)
2004-09-02 04:18 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2004-09-02 04:17:04 UTC
Description of problem:
Support for the new waitid syscall is missing

Version-Release number of selected component (if applicable):
strace-4.5.7-2

How reproducible:
always

Steps to Reproduce:
1.run code using waitid syscall
2.
3.
  
Actual results:
not decoded syscall

Expected results:
decoded syscall with nicely printed parameter list

Additional info:
I'll attach a patch.

Comment 1 Ulrich Drepper 2004-09-02 04:18:29 UTC
Created attachment 103382 [details]
Patch to enable waitid support

The code already exists for sysv.  I've enabled it but not really tested it. 
There is some code in there which looks at the number of children.  Not sure
whether this is still up-to-date.

Comment 2 Roland McGrath 2004-09-11 08:05:48 UTC
Your patch is not sufficient, but I have done the work upstream and
tested it.


Note You need to log in before you can comment on or make changes to this bug.